<?php
	class LoteController extends LoteModel {
		private $idUsuario;
		private $descricao;
		private $tipoMovimento;
		private $sugestaoMovimento;
		private $movExp;
		private $dataExp;
		private $dataProd;

		public function __construct($idUsuario, $descricao, $tipoMovimento, $sugestaoMovimento, $movExp, $dataExp, $dataProd){
			$this->idUsuario = $idUsuario;
			$this->descricao = $descricao;
			$this->tipoMovimento = $tipoMovimento;
			$this->sugestaoMovimento = $sugestaoMovimento;
			$this->movExp = $movExp;
			$this->dataExp = $dataExp;
			$this->dataProd = $dataProd;
		}

		public function createLote(){
			$result = $this->insertLote($this->idUsuario, $this->descricao, $this->tipoMovimento, $this->sugestaoMovimento, $this->movExp, $this->dataExp, $this->dataProd);
			return $result;
		}

		public function updateLote($idLote){
			$result = $this->editLote($idLote, $this->idUsuario, $this->descricao, $this->tipoMovimento, $this->sugestaoMovimento, $this->movExp, $this->dataExp, $this->dataProd);
			return $result;
		}

	}